import {EntityRepository, Repository} from "typeorm";
import {UpdateAboutUsPageCmsDto} from "./dto/update-about-us-page-cms.dto";
import {AboutUsPageCmsEntity} from "./entities/about-us-page-cms.entity";

@EntityRepository(AboutUsPageCmsEntity)
export class AboutUsPageCmsRepository extends Repository<AboutUsPageCmsEntity> {

    async createEntity(dto: UpdateAboutUsPageCmsDto): Promise<AboutUsPageCmsEntity | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
                sectionTwoTitle: dto.sectionTwoTitle,
                sectionTwoSubTitle: dto.sectionTwoSubTitle,
                locationSectionTitle: dto.locationSectionTitle,
                locationSectionSubTitle: dto.locationSectionSubTitle,
                dispoDifferenceSectionTitle: dto.dispoDifferenceSectionTitle,
                dispoDifferenceSectionSubTitle: dto.dispoDifferenceSectionSubTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutUsPageCmsDto, id: string): Promise<AboutUsPageCmsEntity | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
                sectionTwoTitle: dto.sectionTwoTitle,
                sectionTwoSubTitle: dto.sectionTwoSubTitle,
                locationSectionTitle: dto.locationSectionTitle,
                locationSectionSubTitle: dto.locationSectionSubTitle,
                dispoDifferenceSectionTitle: dto.dispoDifferenceSectionTitle,
                dispoDifferenceSectionSubTitle: dto.dispoDifferenceSectionSubTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutUsPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}