import {EntityRepository, Repository} from "typeorm";
import {UpdateAboutUsSectionOneCmsDto} from "./dto/update-about-us-section-one-cms.dto";
import {AboutUsSectionOneCmsEntity} from "./entities/about-us-section-one-cms.entity";

@EntityRepository(AboutUsSectionOneCmsEntity)
export class AboutUsSectionOneCmsRepository extends Repository<AboutUsSectionOneCmsEntity> {

    async createEntity(dto: UpdateAboutUsSectionOneCmsDto): Promise<AboutUsSectionOneCmsEntity | Error> {
        try {
            const entity = this.create({
                image: dto.image,
                heading: dto.heading,
                title: dto.title,
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutUsSectionOneCmsDto, id: string): Promise<AboutUsSectionOneCmsEntity | Error> {
        try {
            await this.update(id, {
                image: dto.image,
                heading: dto.heading,
                title: dto.title,
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutUsSectionOneCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}