import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {CareerListPageCmsService} from "./career-list-page-cms.service";
import {UpdateCareerListPageCmsDto} from "./dto/update-career-list-page-cms.dto";

@Controller({path: "career-list-page-cms", version: Constants.API_VERSION_1})

export class CareerListPageCmsController {
    constructor(private readonly service: CareerListPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCareerListPageCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
