import {Module} from "@nestjs/common";
import {TypeOrmModule} from "@nestjs/typeorm";
import {JwtModule} from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {FileUploadsService} from "src/modules/file-uploads/file-uploads.service";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";
import {CommonCmsRepository} from "./common-cms.repository";
import {CommonCmsController} from "./common-cms.controller";
import {CommonCmsService} from "./common-cms.service";
import {NewsletterBannerCmsRepository} from "../newsletter-banner-cms/newsletter-banner-cms.repository";
import {ReeferFriendCmsRepository} from "../reefer-friend-cms/reefer-friend-cms.repository";
import {ReeferFriendRepository} from "src/modules/reefer-friend/reefer-friend.repository";
import {PageTitleCmsRepository} from "../page-title-cms/page-title-cms.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([
            CommonCmsRepository,
            NewsletterBannerCmsRepository,
            ReeferFriendCmsRepository,
            ReeferFriendRepository,
            PageTitleCmsRepository
        ])
    ],
    controllers: [CommonCmsController],
    providers: [CommonCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class CommonCmsModule {
}