import {EntityRepository, Repository} from "typeorm";
import {UpsertHomePageCmsDto} from "./dto/upsert-home-page-cms.dto";
import {HomePageCms} from "./entities/home-page-cms.entity";

@EntityRepository(HomePageCms)
export class HomePageCmsRepository extends Repository<HomePageCms> {

    async createEntity(dto: UpsertHomePageCmsDto): Promise<HomePageCms | Error> {
        try {
            const entity = this.create({
                categorySectionTitle: dto.categorySectionTitle,
                categorySectionSubTitle: dto.categorySectionSubTitle,
                dispoDifferenceSectionTitle: dto.dispoDifferenceSectionTitle,
                dispoDifferenceSectionSubTitle: dto.dispoDifferenceSectionSubTitle,
                instagramSectionTitle: dto.instagramSectionTitle,
                instagramSectionSubTitle: dto.instagramSectionSubTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpsertHomePageCmsDto, id: string): Promise<HomePageCms | Error> {
        try {
            await this.update(id, {
                categorySectionTitle: dto.categorySectionTitle,
                categorySectionSubTitle: dto.categorySectionSubTitle,
                dispoDifferenceSectionTitle: dto.dispoDifferenceSectionTitle,
                dispoDifferenceSectionSubTitle: dto.dispoDifferenceSectionSubTitle,
                instagramSectionTitle: dto.instagramSectionTitle,
                instagramSectionSubTitle: dto.instagramSectionSubTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}