import {EntityRepository, Repository} from "typeorm";
import { FaqPageComponentUiEntity } from "./entities/faq-page-component-ui.entity";
import { UpdateFaqPageComponentUiDto } from "./dto/update-faq-page-component-ui.dto";

@EntityRepository(FaqPageComponentUiEntity)
export class FaqPageComponentUiRepository extends Repository<FaqPageComponentUiEntity> {

    async createEntity(dto: UpdateFaqPageComponentUiDto): Promise<FaqPageComponentUiEntity | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                bottomSectionTitleFontColor: dto.bottomSectionTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateFaqPageComponentUiDto, id: string): Promise<FaqPageComponentUiEntity | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                bottomSectionTitleFontColor: dto.bottomSectionTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<FaqPageComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}