import {Body, Controller, HttpCode, HttpStatus, Post} from "@nestjs/common";
import {Constants} from "src/utils/constants";
import {CheckoutService} from "./checkout.service";

@Controller({
    path: "checkout",
    version: Constants.API_VERSION_1
})
export class CheckoutController {
    constructor(private readonly checkoutService: CheckoutService) {
    }

    @Post("/create")
    @HttpCode(HttpStatus.OK)
    createCheckout(@Body() variables: any) {
        return this.checkoutService.createCheckout(variables);
    }

    @Post("/add-item")
    @HttpCode(HttpStatus.OK)
    addItemToCheckout(@Body() variables: any) {
        return this.checkoutService.addItemToCheckout(variables);
    }

    @Post("/remove-item")
    @HttpCode(HttpStatus.OK)
    removeItemFromCheckout(@Body() variables: any) {
        return this.checkoutService.removeItemFromCheckout(variables);
    }

    @Post("/update-quantity")
    @HttpCode(HttpStatus.OK)
    updateQuantity(@Body() variables: any) {
        return this.checkoutService.updateQuantity(variables);
    }

    @Post("/cart-details")
    @HttpCode(HttpStatus.OK)
    fetchCartDetails(@Body() variables: any) {
        return this.checkoutService.fetchCartDetails(variables);
    }
}
