import {Injectable} from "@nestjs/common";
import {fetchMOWithOrderNumber, fetchMultipleOrder, fetchOneOrder} from "src/helper/dutchie-plus-query";
import {getGraphQLClient} from "src/helper/graphql-client-helper";

@Injectable()
export class OrderService {

    async fetchOneOrder(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchOneOrder();
            return await graphQLClient.request(query, variables);
        } catch (e) {
            return e;
        }
    }

    async fetchMultipleOrderWithEmail(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchMultipleOrder();
            const data = await graphQLClient.request(query, variables);
            return data.orders.filter(function (x: any) {
                return x.customer.email === variables.email;
            });
        } catch (e) {
            return e;
        }
    }

    async fetchMultipleOrderWithOrderNumber(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchMOWithOrderNumber();
            return await graphQLClient.request(query, variables);
        } catch (e) {
            return e;
        }
    }
}
